# Interface MentionConfig

interface MentionConfig {
feeds : {
feed: (queryText: string) => MentionItem [] | Promise< MentionItem []>;
itemRenderer?: (item: { highlightedNotePathTitle: string }) => void;
marker: string;
minimumCharacters: number;
}[];
}

- Defined in src/public/app/types.d.ts:447

##### Index

### Properties

feeds

## Properties

### feeds

feeds: {
feed: (queryText: string) => MentionItem [] | Promise< MentionItem []>;
itemRenderer?: (item: { highlightedNotePathTitle: string }) => void;
marker: string;
minimumCharacters: number;
}[]

- Defined in src/public/app/types.d.ts:448